
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "BDParseLock/version"

Gem::Specification.new do |spec|
  spec.name          = "BDParseLock"
  spec.version       = BDParseLock::VERSION
  spec.authors       = ["bupterambition"]
  spec.email         = ["bupterambition@gmail.com"]

  spec.summary       = %q{一款用于分析Podfile.lock工具}
  spec.description   = %q{一款用于分析Podfile.lock工具，可以将Podfile.lock直接转化成Podfile.同时还可以提取当前使用的各个Pods的版本信息}
  spec.homepage      = "https://github.com/Bupterambition/LockParse"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  
  spec.executables   = 'BDParseLock'
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
